package cn.yw.operationcount.videoappraisecount.dao;

import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Repository;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywcountvideoappraiseDao")
public class YwcountvideoappraiseDao extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Ywcountvideoappraise(Map map) throws SQLException{
		this.insert("insert_Ywcountvideoappraise",map);
	}
	public void insertWeight(Map map) throws SQLException{
		this.insert("insertWeight",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Ywcountvideoappraise(List batch) throws SQLException{
		this.insert("batch_insert_Ywcountvideoappraise",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywcountvideoappraise(Map map) throws SQLException{
		return this.update("update_Ywcountvideoappraise",map);
	}
	public Integer updateWeight(Map map) throws SQLException{
		return this.update("updateWeight",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywcountvideoappraise(Map map) throws SQLException{
		return this.delete("delete_Ywcountvideoappraise",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Ywcountvideoappraise(Map map) throws SQLException{
		return this.delete("batch_delete_Ywcountvideoappraise",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywcountvideoappraise(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywcountvideoappraise",map);
	}
	public Integer count_regionAssessmentCountListByRegion(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_regionAssessmentCountListByRegion",map);
	}
	public Map jobcount(Map map) throws SQLException{
		return (Map) this.queryForObject("jobcount",map);
	}
	public Map getWeight(Map m) throws SQLException{
		return (Map) this.queryForObject("getWeight",new HashMap());
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Ywcountvideoappraise(Map map) throws SQLException{
		return this.queryForPage("query_Ywcountvideoappraise",map);
	}
	public List<Map> regionAssessmentCountList(Map map) throws SQLException{
		return this.queryForPage("regionAssessmentCountList",map);
	}

	public Integer CountregionAssessmentCountList(Map map) throws SQLException{
		return (Integer) this.queryForObject("CountregionAssessmentCountList",map);
	}

	public List<Map> regionAssessmentCountListByRegion(Map map) throws SQLException{
		return this.queryForPage("regionAssessmentCountListByRegion",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywcountvideoappraise(Map map) throws SQLException{
		return (Map) this.queryForObject("get_Ywcountvideoappraise",map);
	}
	
	
	
	// 点位录像情况统计                           /start   
	public List query_dwlx(Map map) throws SQLException{
		return this.queryForPage("query_dwlx",map);
	}
	public Integer count_dwlx(Map map) throws SQLException{
		return (Integer) this.queryForObject("count_dwlx",map);
	}
//	统计  柱状图
	public List show_bar(Map map) throws SQLException{
		return this.queryForList("show_bar",map);
	}
		
	// 点位录像情况统计                           /end  
	
	public Integer getVideoCount(Map map) throws SQLException{
		return (Integer) this.queryForObject("getVideoCount",map);
	}
}
